#!/bin/sh

# Slackware build script for fusion-icon
# Heavily based on the Slackware 12.2 SlackBuild

PRGNAM="stardict"
VERSION="3.0.1"
ARCH="i486"
BUILD="1"


CWD=`pwd`

if ["$TMP" = ""]; then
 TMP=/tmp/tgz
fi


PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}

if [ "$ARCH" = "i486" ]; then
  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
  SLKCFLAGS="-O2 -fPIC"
fi

export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
set -e

rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM
tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;

./configure --disable-gnome-support  --disable-festival --disable-espeak  --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --build=$ARCH-slackware-linux || (echo "CONFIGURE ERROR !!!!!!!!!!!!!!!!!!!!!!!";exit 1)
if [$? = 1]; then
   echo "***************** NOT BUILD ******************* "
   exit 1
fi


make -j2 || (  echo "COMPILE ERROR  !!!!!!!!!!!!!!!!!!!!!!!";exit 1 )
if [$? = 1]; then
   echo "***************** NOT BUILD ******************* "
   exit 1
fi

make install DESTDIR=$PKG || ( echo "MAKE INSTALL ERROR !!!!!!!!!!!!!!!!!!!!!!!";exit 1 )
if [$? = 1]; then
   echo "***************** NOT BUILD ******************* "
   exit 1
fi


( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)


if [ -d $PKG/usr/man ]; then
  ( cd $PKG/usr/man
    find . -type f -exec gzip -9 {} \;
    for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
  )
fi

mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ./doc/* $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING README  INSTALL ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/$PRGNAM.info > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.info  

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh

cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz



